commit: 62b3e0341e86460cb0d3c1abbfe79342cd606035
Author: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 22 23:35:56 2020 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Jun 22 23:38:28 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62b3e034
dev-lang/R: new version 4.0.2.
I swapped out pcre for pcre2 and had to require USE=profile to run the
test suite, but other than that a copy/paste.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
dev-lang/R/Manifest | 2 +-
dev-lang/R/{R-4.0.0.ebuild => R-4.0.2.ebuild} | 13 +++++++++++--
2 files changed, 12 insertions(+), 3 deletions(-)
diff --git a/dev-lang/R/Manifest b/dev-lang/R/Manifest
index 18eb82e449d..4e4ba5f0d22 100644
--- a/dev-lang/R/Manifest
+++ b/dev-lang/R/Manifest
@@ -1,4 +1,4 @@
DIST R-3.4.1.tar.gz 30200109 BLAKE2B
03602e9a48759caee8ce047fa6273df7a54af089de4489e21953c0e3fc7bfdf720d924f1e0167d3dbf65f63ed42ac10dea8b45289b921cda1c0e6d25a0063ebb
SHA512
19bd50c87dc001ef947c15c1760f27ac8986ff6b43c6d90d3093ae184e42963027ef06faf31ec57ac9e519af7a35a2f53f8ea23ef75d800ebbd02945cedc4651
DIST R-3.6.3.tar.gz 33308185 BLAKE2B
f82751e21d3b502132f8f27d4fc47a921fb085a50c3da3b45e08fbbdd1ab3d42e89b4fa6653a570c21176d79f492277b1d0b86c3c9f4da1386d8b6e4771d4d2c
SHA512
9b1dc78922e431bd1af81e6e560b10ad04d121718f680fed32db735d561fd40ea6028759976722db11559f1a78fe684119b766f0567128cb2ee5003aa87a0931
-DIST R-4.0.0.tar.gz 33173947 BLAKE2B
6b67ba5b008f1fd3d5fa3c92805c1e206ece64e821124e3b2d6f72a550ed8084699916b88d41dcc1985b57a286518dcf63d240503aeb2ae7fe31e66c0d30396d
SHA512
fa8b684fd0c8a1c9784b8e0e749b34141e513a83d4f3b6792cdf97826264191e7484f6705014974c9268570e717e1a1d39f6a88225fc751189b6f51e1a303163
+DIST R-4.0.2.tar.gz 33191186 BLAKE2B
2d5b99c17a9df48a36871f18701efacfaa1e6bb89c0e5c6516fc20966547f34f9079dc52ab18ac7816e0fed25d6230076246e83dc648501553fa2d0cad67b8e4
SHA512
b7330613ee9795f54cde3dd9f7509be83d9156fb8577c17179727ee01450db27704249f68bd48e0331e2df09c2d9833d8bb019c4f9ce9ba669df74650ff2e842
DIST R-78d6830e28ea90a046da79a9b4f70c39594bb6d6.bash_completion 13596 BLAKE2B
53338e4a1c4f68beb69247216e553dbcac47f660fbf032bfebf7a660e32d2cff5b11ed35411c52de7e1fd6e00bbf5b5ea19369a325fa0a38bd93d63dc3288cbd
SHA512
9ccd19bb1b0c18a2f13035ccd6809447429e197e298fb4d1df808ef345d723b42f75a1b91c349f6dbb46e4a82e59ef33e11300c495d79b63d670d0c0f2b16a06
diff --git a/dev-lang/R/R-4.0.0.ebuild b/dev-lang/R/R-4.0.2.ebuild
similarity index 96%
rename from dev-lang/R/R-4.0.0.ebuild
rename to dev-lang/R/R-4.0.2.ebuild
index 64a0a4e0b49..83d1ecd9385 100644
--- a/dev-lang/R/R-4.0.0.ebuild
+++ b/dev-lang/R/R-4.0.2.ebuild
@@ -18,7 +18,16 @@ LICENSE="|| ( GPL-2 GPL-3 ) LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~hppa ~ia64 ~sparc ~x86 ~amd64-linux ~x86-linux
~x64-macos"
IUSE="cairo doc icu java jpeg lapack minimal nls openmp perl png prefix
profile readline static-libs test tiff tk X"
-REQUIRED_USE="png? ( || ( cairo X ) ) jpeg? ( || ( cairo X ) ) tiff? ( || (
cairo X ) )"
+
+# One test required profiling in v4.0.2, check the upstream bug:
+#
+# https://bugs.r-project.org/bugzilla/show_bug.cgi?id=17836
+#
+REQUIRED_USE="png? ( || ( cairo X ) )
+ jpeg? ( || ( cairo X ) )
+ tiff? ( || ( cairo X ) )
+ test? ( profile )
+"
# At least one package installation in the test suite requires TeX,
# and will fail without it (bug #718056).
@@ -32,7 +41,7 @@ DEPEND="
app-arch/bzip2:0=
app-arch/xz-utils:0=
app-text/ghostscript-gpl
- dev-libs/libpcre:3=
+ dev-libs/libpcre2:=
net-libs/libtirpc
net-misc/curl
virtual/blas:0